import React, {
  useState,
  useCallback,
  useEffect,
} from 'react';
import ReactDOM from 'react-dom';
//import {  } from 'd3';
import { useData } from './useData';
import { Marks } from './marks';

const width = 960;
const height = 500;

const App = () => {
  const data = useData();

  //console.log(length)
  if (!data) {
    return <pre>{data ? data.map() : 'loading...'}</pre>;
  }

  console.log(data[0]);


  return (
    <svg width={width} height={height}>
     <Marks data={data} />
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
1;
